# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/pyrodigal, last modified Tue Mar  4 01:24:49 2025
# ------------------------------------------------

package:
  name: pyrodigal
  version: 3.6.3.post1
source:
  sha256: f42e8df8062b08796f2e92902800584c0b62ead765945594d06224e0b6c2b96c
  url: https://pypi.io/packages/source/p/pyrodigal/pyrodigal-3.6.3.post1.tar.gz
build:
  entry_points:
    - pyrodigal = pyrodigal.cli:main
  number: '0'
  run_exports:
    - pyrodigal >=3.6.3.0inf.1,<4.0a0
  script: /opt/mambaforge/envs/bioconda/conda-bld/pyrodigal_1741052005063/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --no-build-isolation --no-cache-dir --use-pep517 -vvv
  string: py311h3d978dd_0
requirements:
  build:
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.34.4 hf13058a_0
    - ca-certificates 2025.1.31 h8857fd0_0
    - cctools_osx-64 1010.6 hd19c6af_3
    - clang 18.1.8 default_h576c50e_7
    - clang-18 18.1.8 default_h3571c67_7
    - clang_impl_osx-64 18.1.8 h6a44ed1_23
    - clang_osx-64 18.1.8 h7e5c614_23
    - clangxx 18.1.8 default_heb2e8d1_7
    - cmake 3.31.6 h477996e_0
    - compiler-rt 18.1.8 h1020d70_1
    - compiler-rt_osx-64 18.1.8 hf2b8a54_1
    - krb5 1.21.3 h37d8d59_0
    - ld64_osx-64 951.9 h33512f0_3
    - libclang-cpp18.1 18.1.8 default_h3571c67_7
    - libcurl 8.12.1 h5dec5d8_0
    - libcxx 19.1.7 hf95d169_0
    - libcxx-devel 18.1.8 h7c275be_7
    - libedit 3.1.20250104 pl5321ha958ccf_0
    - libev 4.33 h10d778d_2
    - libexpat 2.6.4 h240833e_0
    - libiconv 1.18 h4b5e92a_1
    - libllvm18 18.1.8 hc29ff6c_3
    - liblzma 5.6.4 hd471939_0
    - libnghttp2 1.64.0 hc7306c3_0
    - libssh2 1.11.1 h3dc7d44_0
    - libuv 1.50.0 h4cb831e_0
    - libxml2 2.13.6 he8ee3e7_0
    - libzlib 1.3.1 hd23fc13_2
    - llvm-tools 18.1.8 hc29ff6c_3
    - llvm-tools-18 18.1.8 hc29ff6c_3
    - make 4.4.1 h00291cd_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.4.1 hc426f3f_0
    - rhash 1.4.5 ha44c9a9_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1300.6.5 h390ca13_0
    - zstd 1.5.7 h8210216_1
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2025.1.31 h8857fd0_0
    - cython 3.0.12 py311h3c013cf_0
    - exceptiongroup 1.2.2 pyhd8ed1ab_1
    - importlib-metadata 8.6.1 pyha770c72_0
    - importlib-resources 6.5.2 pyhd8ed1ab_0
    - importlib_resources 6.5.2 pyhd8ed1ab_0
    - libcxx 19.1.7 hf95d169_0
    - libexpat 2.6.4 h240833e_0
    - libffi 3.4.6 h281671d_0
    - liblzma 5.6.4 hd471939_0
    - libsqlite 3.49.1 hdb6dae5_1
    - libzlib 1.3.1 hd23fc13_2
    - ncurses 6.5 h0622a9a_3
    - openssl 3.4.1 hc426f3f_0
    - packaging 24.2 pyhd8ed1ab_2
    - pathspec 0.12.1 pyhd8ed1ab_1
    - pip 25.0.1 pyh8b19718_0
    - python 3.11.11 h9ccd52b_2_cpython
    - python_abi 3.11 5_cp311
    - readline 8.2 h7cca4af_2
    - scikit-build-core 0.11.0 pyh4afc917_0
    - setuptools 75.8.2 pyhff2d567_0
    - tk 8.6.13 h1abcd95_1
    - tomli 2.2.1 pyhd8ed1ab_1
    - typing-extensions 4.12.2 hd8ed1ab_1
    - typing_extensions 4.12.2 pyha770c72_1
    - tzdata 2025a h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.21.0 pyhd8ed1ab_1
  run:
    - archspec >=0.2.0
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
test:
  commands:
    - pyrodigal --help
    - python -m unittest -vv pyrodigal.tests
  imports:
    - pyrodigal
about:
  dev_url: https://github.com/althonos/pyrodigal
  doc_url: https://pyrodigal.readthedocs.org
  home: https://github.com/althonos/pyrodigal
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: COPYING
  summary: Python bindings to Prodigal, an ORF finder for microbial sequences.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.21105/joss.04296
  recipe-maintainers:
    - althonos
